<div class="row">
        
        <div class="col-12 col-md-12">
          <div class="dragAndDropFormCreature drag-boundary">
            <div class="drag-and-drop-elements">
              <div
                *ngFor="let formElm of elementsDragAndDrop; let i = index"
                [ngClass]="{
                  'pull-signature-drag-and-dop-to-right':
                    i == elementsDragAndDrop.length - 1
                }"
                class="formInmputDrag lists {{ formElm.colorClass }}"
              >
                <span class="add-me-drag" (click)="addElementToDrag(formElm)">
                  <i class="fa fa-plus" aria-hidden="true"></i>
                  <span translate="SUBMIT">Ajouter</span>
                </span>
                <div class="relative">
                  <p>
                    {{ formElm.name }}
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- <p [appFluidHeight]> </p> -->
        <div class="col-12 col-md-12" >
          <div
            class=" drag-boundary"
            [ngClass]="{
              'top-b': !edge?.top,
              'bottom-b': !edge?.bottom,
              'left-b': !edge?.left,
              'right-b': !edge?.right
            }"
            #myBounds
          >
            <div class="drag-and-drop-elements">
              <div
              
                *ngFor="let formElm of listesElementInTheDoc;let index = index;"
                ngDraggable
                (started)="onStart($event)"
                (stopped)="onStop($event, formElm)"
                [preventDefaultEvent]="true"
                (edge)="checkEdge($event)"
                [bounds]="myBounds"
                [inBounds]="true"
                [handle]="myHandle"
                (endOffset)="onMoveEnd($event,formElm,myHandle)"
                
                class="formInmputDrag is_absolue {{ formElm.colorClass }} {{
                  formElm.fieldName
                }}"
              >
                <div  [id]="formElm.id" #myHandle class="drag-block-handle">
                  <i class="fa fa-hand-pointer-o" aria-hidden="true"></i>
                </div>
                <div class="relative">
                  <span
                    class="remove-me-drag"
                    (click)="removeDragEement(formElm)"
                  >
                    <i class="fa fa-times" aria-hidden="true"></i>
                  </span>
                  {{ formElm.name }}
                  <!-- <input
                    type="text"
                    class="form-control"
                    placeholder="{{ formElm.text }}"
                    *ngIf="formElm.type === 'text'"
                    name="{{ formElm.name }}"
                    [id]=""
                  />

                  <textarea
                    *ngIf="formElm.type === 'textarea'"
                    name="{{ formElm.name }}"
                    class="form-control"
                    placeholder="{{ formElm.text }}"
                  ></textarea>

                  <input
                    type="checkbox"
                    *ngIf="formElm.type === 'checkbox'"
                    name="{{ formElm.name }}"
                  />

                  <input
                    type="date"
                    *ngIf="formElm.type === 'date'"
                    name="{{ formElm.name }}"
                    value="todayDate"
                  />

                  <div
                    class="signature-block"
                    *ngIf="formElm.type === 'signature'"
                  >
                    <signature-pad
                      [options]="signaturePadOptions"
                      (onBeginEvent)="drawStart()"
                      (onEndEvent)="drawComplete()"
                    ></signature-pad>
                    <input
                      type="hidden"
                      name="signature"
                      value="signatureValue"
                    />
                  </div> -->

                </div>
              </div>
            </div>

             <div #cmpContainer [innerHtml]="data" >
            </div>
            <div>
              <button (click)="onSave(listesElementInTheDoc)" class="btn btn-primary" > save Pdf</button>
            </div>
          </div>
        </div>
</div>